# Class SingleEntryModuleLibrary

java.lang.Object
org.gradle.plugins.ide.idea.model.ModuleLibrary
org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

All Implemented Interfaces:
  `Dependency`

public class SingleEntryModuleLibrary extends ModuleLibrary
Single entry module library

## Constructor Summary

Constructors
Constructor
Description
`SingleEntryModuleLibrary(FilePath library, String scope)`
Creates single entry module library
`SingleEntryModuleLibrary(FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)`
Creates single entry module library
`SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, String scope)`
Creates single entry module library

## Method Summary

Modifier and Type
Method
Description
`File`
`getJavadocFile()`
Returns a single javadoc jar or javadoc folder
`File`
`getLibraryFile()`
Returns a single jar or class folder
`ModuleVersionIdentifier`
`getModuleVersion()`
Module version of the library, if any.
`File`
`getSourceFile()`
Returns a single source jar or source folder
`void`
`setModuleVersion(ModuleVersionIdentifier moduleVersion)`

### Methods inherited from class ModuleLibrary

`addToNode, equals, getClasses, getJarDirectories, getJavadoc, getScope, getSources, hashCode, isExported, setClasses, setExported, setJarDirectories, setJavadoc, setScope, setSources, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SingleEntryModuleLibrary

public SingleEntryModuleLibrary(FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)
Creates single entry module library

Parameters:
  `library` - a path to jar or class folder in idea format
  `javadoc` - paths to javadoc jars or javadoc folders
  `source` - paths to source jars or source folders
  `scope` - scope

### SingleEntryModuleLibrary

public SingleEntryModuleLibrary(FilePath library, @Nullable FilePath javadoc, @Nullable FilePath source, String scope)
Creates single entry module library

Parameters:
  `library` - a path to jar or class folder in idea format
  `javadoc` - path to javadoc jars or javadoc folders
  `source` - paths to source jars or source folders
  `scope` - scope

### SingleEntryModuleLibrary

public SingleEntryModuleLibrary(FilePath library, String scope)
Creates single entry module library

Parameters:
  `library` - a path to jar or class folder in Path format
  `scope` - scope

## Method Details

### getModuleVersion

@Nullable public ModuleVersionIdentifier getModuleVersion()
Module version of the library, if any.

### setModuleVersion

public void setModuleVersion(@Nullable ModuleVersionIdentifier moduleVersion)

### getLibraryFile

public File getLibraryFile()
Returns a single jar or class folder

### getJavadocFile

public File getJavadocFile()
Returns a single javadoc jar or javadoc folder

### getSourceFile

public File getSourceFile()
Returns a single source jar or source folder